cURL
curl --request GET \ --url https://api.series.hr/fnb/get-order/{orderNumber} \ --header 'apikey: <api-key>'
Get a specific F&B order by order number
curl -X GET "https://api.series.hr/fnb/get-order/12" \ -H "apikey: YOUR_API_KEY"
{ "success": true, "data": { "WorkspaceId": "a7d5339a-5531-4336-99c6-6f3249c9ac20", "WorkspaceName": "Café Series", "Order": { "Id": "1717027200000", "Customer": { "UserId": 714760171, "Username": "builderman", "DisplayName": "Builderman", "AvatarUrl": "https://tr.rbxcdn.com/..." }, "OrderType": "dine-in", "TableNumber": "T1", "OrderNumber": "12", "Items": [ { "MenuItemId": "item-1", "Name": "Espresso", "Quantity": 2, "Price": 25, "Notes": "Extra hot" } ], "Status": "preparing", "ClaimStatus": "claimed", "ClaimedBy": { "UserId": 1, "Username": "Roblox", "DisplayName": "Roblox", "AvatarUrl": "https://tr.rbxcdn.com/...", "ClaimedAt": "2026-04-05T12:00:00.000Z" }, "Total": 50, "CreatedAt": "2026-04-05T11:30:00.000Z", "CreatedBy": "714760171" } } }
200
401
403
404
Pass your API key in the apikey header. Alternatively, the x-api-key header is also accepted.
apikey
x-api-key
The order number to look up
Order details